Bug 683325

Summary: pidgin freezes for some specific messages and window size
Product: [Fedora] Fedora Reporter: Cristian Ciupitu <cristian.ciupitu>
Component: pangoAssignee: Akira TAGOH <tagoh>
Status: CLOSED CURRENTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: unspecified    
Version: 17CC: cristian.ciupitu, fonts-bugs, i18n-bugs, itamar, mathstuf, mclasen, stu
Target Milestone: ---Keywords: Reopened
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-07-09 23:28:55 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Attachments:
Description Flags
GDB backtraces for pidgin
none
Screenshot: pidgin freezes
none
Screenshot: pidgin works fine
none
/var/log/rpmpkgs
none
GDB backtraces for pidgin
none
GDB backtraces for pidgin none

Description Cristian Ciupitu 2011-03-09 01:43:34 EST
Created attachment 483109 [details]
GDB backtraces for pidgin

Description of problem:
I was typing a message to an offline friend of mine when pidgin suddenly froze. This happened multiple times, but only when using a specific font and window size.


Version-Release number of selected component (if applicable):
pidgin-2.7.10-1.fc14.x86_64.rpm
pango-1.28.1-4.fc14.x86_64.rpm


How reproducible:
Every time for this very specific setup


Steps to Reproduce:
1. Log in to GNOME

2. Go to System -> Preferences -> Appearance
   2a. Select the Fedora theme
   2b. Select the following fonts: Sans 10, Sans 10, Sans 10, Sans Bold 10, Monospace 10 and Subpixel smoothing (LCDs)

3. Create the following symlinks:
   - /etc/fonts/conf.d/10-autohint.conf -> /etc/fonts/conf.avail/10-autohint.conf
   - /etc/fonts/conf.d/10-sub-pixel-rgb.conf -> /etc/fonts/conf.avail/10-sub-pixel-rgb.conf

4. Double check font settings:
   [ciupicri@hermes ~]$ fc-match Sans
   DejaVuSans.ttf: "DejaVu Sans" "Book"

5. Start pidgin and login to a Yahoo account. It might work with other protocols as well, but I haven't tested this.

6. Start a conversation with an offline buddy, although I don't think this matters; it worked once with an online buddy, too.

7. Before typing anything, resize the window to something close to 
  587 x 473 pixels. You could even start with a width of 600 pixels. The screenruler package might be useful for this.

8. Type the message "aiastppl eut  http://www.facebook.com/in.cuurraanadi#!/photo.php?fbid=069710401708640&set=a.553584074287109.56943.063020100808195&theater "

9. If pidgin doesn't freeze resize the window very slowly and make it narrower until pidgin freezes.


Actual results:
Pidgin freezes


Expected results:
Pidgin shouldn't freeze


Additional info:
elb from #pidgin thinks that this might be related to pango. Another interesting bug is #673830.

I wasn't able to reproduce the bug with a wider window (627 x 544) or with the Droid fonts from Google.
Comment 1 Cristian Ciupitu 2011-03-09 01:52:41 EST
Created attachment 483112 [details]
Screenshot: pidgin freezes
Comment 2 Cristian Ciupitu 2011-03-09 01:53:12 EST
Created attachment 483113 [details]
Screenshot: pidgin works fine
Comment 3 Cristian Ciupitu 2011-03-09 01:57:21 EST
Created attachment 483114 [details]
/var/log/rpmpkgs
Comment 4 Cristian Ciupitu 2011-03-09 02:07:54 EST
Created attachment 483115 [details]
GDB backtraces for pidgin

backtrace; cont; wait a couple of seconds; backtrace; cont; ...
Comment 5 Fedora End Of Life 2012-08-16 11:54:06 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Cristian Ciupitu 2012-08-16 14:13:02 EDT
pidgin-2.10.5-1.fc17.x86_64 seems to work fine.
Comment 7 Cristian Ciupitu 2012-11-09 17:03:02 EST
Created attachment 641855 [details]
GDB backtraces for pidgin
Comment 8 Cristian Ciupitu 2012-11-09 17:06:02 EST
pidgin froze when I pasted some text in a window.

I'm using pidgin-2.10.5-1.fc17.x86_64 and pango-1.30.0-1.fc17.x86_64.
Comment 9 Fedora Admin XMLRPC Client 2013-05-14 08:13:23 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 10 Fedora End Of Life 2013-07-03 23:36:54 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 11 Akira TAGOH 2013-07-09 05:16:45 EDT
Does this issue still persist on even f19 say?
Comment 12 Cristian Ciupitu 2013-07-09 16:04:45 EDT
I haven't upgraded to Fedora 19 yet, but if I remember correctly it happened to me once on Fedora 18. Anyway, I've tried to reproduce it again right now, but I either had no luck or the software is working as it should. If it happens again I'll reopen this bug.
Comment 13 Akira TAGOH 2013-07-09 23:28:55 EDT
Sure. thanks for the comment. I'll close this so far against it. please reopen when you see this again.